#include <QtGui/QGuiApplication>
#include "qtquick2applicationviewer.h"
#include <QQmlContext>

#ifdef Q_OS_ANDROID
#include <androidaudio.h>
#endif

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    QtQuick2ApplicationViewer viewer;
#ifdef Q_OS_ANDROID
    AndroidAudio *androidAudio = AndroidAudio::instance();
    viewer.rootContext()->setContextProperty("AndroidAudio", androidAudio);
#endif
    viewer.setMainQmlFile(QStringLiteral("qml/amursk-invitation/main.qml"));
//    viewer.showMinimized();
    viewer.showFullScreen();

    return app.exec();
}
