import QtQuick 2.0

Item {
//    property double sx: (index - count / 2)  * 80000 / count
    property double sx: (index - 25)  * 1000
    property double sy: Math.sin(timer.t*barParam[0] + index) * 5000 + Math.cos(timer.t * 3*barParam[2] + index) * 10000
    property double sz: 100 + Math.sin(timer.t*2*barParam[1] + index) * 50 + Math.cos(timer.t/8*barParam[3])*40
    anchors.fill: parent
    z: 1000 - sz
    Rectangle {
        color: "black"
        x: bar.x
        y: bareffect.height / 2 + cy(20000)
        width: bar.height
        height: cy(1000)
    }
    Rectangle {
        id: bar
        x: bareffect.width / 2 + cx(sx)
        y: bareffect.height / 2 + cy(sy)
        width: cx(3000)
        height: width
        rotation: 90
        gradient: Gradient {
            GradientStop { position: 0.0; color: "white" }
            GradientStop { position: 0.3; color: "purple" }
        }
    }
    function cx(x) { return (x / sz) * bareffect.width / 1000}
    function cy(y) { return (y / sz) * bareffect.height / 1000 }
}
