import QtQuick 2.0

Item {
    width: scrollFontWidth
    height: scrollFontHeight
    x: scrollX + scrollFontWidth*index// + Math.sin(textIndex + timer.t) * scroller.width/4
    y: scroller.height / 2 + Math.sin(x/scroller.width*8 + timer.t*7) * scroller.height/8 + Math.cos(x/scroller.width*4 + timer.t*4) * scroller.height/6
    Text {
        anchors.centerIn: parent
        property int textIndex: (index + scrollIndex) % scrollLength
        font.pixelSize: scrollFontHeight
        color: Qt.rgba(0.8+Math.sin(x/300 + timer.t*6)*0.5, 0.8+Math.sin(x/200 + timer.t*3)*0.5, 0.8+Math.cos(x/500 + timer.t*8)*0.5, 1)
        styleColor: "black"
        style: Text.Outline
        text: txt[textIndex]
        font.family: "courier"
        font.bold: true
    }
}
