import QtQuick 2.0

Item {
    property int paramCount: 4
    property var barParam: [paramCount]
    Repeater {
        anchors.fill: parent
        model: 50
        Bar {}
    }

    Row {
        visible: false
        anchors.fill: parent
        spacing: 20
        Repeater {
            model: paramCount
            ParamSlider {}
        }
    }
    Component.onCompleted: {
        for(var i=0;i< paramCount;i++)
            barParam.push(Math.random())
    }
    function newParams() {
        for(var i=0;i< paramCount;i++)
            barParam[i] = Math.random()
        music.play()
    }
    Timer {
        running: true
        repeat: true
        interval: 469*4
        onTriggered: newParams()
    }
}
