import QtQuick 2.0

MouseArea {
    property double barValue: 0
    width: 30
    height: parent.height
    hoverEnabled: true
    onClicked: {
        console.log("bp:"  + barParam + " idx " + barParam[index])
        barValue = mouseY / parent.height
        barParam[index] = barValue
    }
    Rectangle {
        anchors.fill: parent
        color: "black"
        opacity: 0.3
    }
    Rectangle {
        color: "white"
        y: parent.height * barValue
        width: parent.width
        height: 20
        Text {
            color: "black"
            text: Math.round(barValue*100)
        }
    }
}
